Skip to main content
GET
/
quotes
/
{id}
/
analytics
Get quote analytics
curl --request GET \
  --url https://eu.sequencehq.com/api/quotes/{id}/analytics \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/quotes/{id}/analytics"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/quotes/{id}/analytics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "totalViews": 42,
  "uniqueViewers": [
    {
      "visitorIdentifier": "0190dae7-7228-7619-aad8-c51f56733b2b",
      "lastViewedAt": "2024-01-07T10:30:00Z",
      "loginType": "SEQUENCE_USER",
      "email": "johndoe@example.com"
    }
  ],
  "viewsByDay": [
    {
      "date": "2024-01-07",
      "totalViews": 15
    }
  ]
}
This response has no body data.
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Quote ID

Response

OK

totalViews
integer<int32>
required
Example:

42

uniqueViewers
object[]
required
Example:
[
{
"visitorIdentifier": "0190dae7-7228-7619-aad8-c51f56733b2b",
"lastViewedAt": "2024-01-07T10:30:00Z",
"loginType": "SEQUENCE_USER",
"email": "johndoe@example.com"
}
]
viewsByDay
object[]
required
Example:
[{ "date": "2024-01-07", "totalViews": 15 }]